Package org.eclipse.lemminx.services.extensions.hover

## Interface IHoverRequest

All Superinterfaces:
  `IPositionRequest`, `ISharedSettingsRequest`

    public interface IHoverRequest
    extends IPositionRequest, ISharedSettingsRequest

Hover request API.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.lsp4j.Range` `getHoverRange()` Returns the hover range and null otherwise.
`boolean` `isOpen()` Returns true if hovered tag is opened and false otherwise.

### Methods inherited from interface org.eclipse.lemminx.services.extensions.IPositionRequest

`getComponent, getCurrentAttribute, getCurrentAttributeName, getCurrentTag, getLineIndentInfo, getNode, getOffset, getParentElement, getPosition, getXMLDocument`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.ISharedSettingsRequest

`canSupportMarkupKind, getSharedSettings`

### Method Detail

#### getHoverRange

    org.eclipse.lsp4j.Range getHoverRange()

Returns the hover range and null otherwise.

Returns:
  the hover range and null otherwise.

#### isOpen

    boolean isOpen()

Returns true if hovered tag is opened and false otherwise.

Returns:
  true if hovered tag is opened and false otherwise.